import axios from '@/axios-client.js';
import store from '../store';


const baseUrl = store.state.configuration.VUE_APP_DJANGO_API_BASE;

const miscAPI = {

  async getExternalGeojson(queryParams) {
    const response = await axios.get(
      `${baseUrl}external-geojson/${queryParams ? '?' + queryParams : ""}`
    );
    if (
      response.status === 200 &&
      response.data
    ) {
      return response.data.features;
    } else {
      return null;
    }
  },

}

export default miscAPI;
